Name:          mangohud
Version:       0.8.1
Release:       1mamba
Summary:       A Vulkan and OpenGL overlay for monitoring FPS, temperatures, CPU/GPU load and more
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/flightlessmango/MangoHud
Source:        https://github.com/flightlessmango/MangoHud.git/v%{version}/MangoHud-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libgcc
BuildRequires: libglew-devel
BuildRequires: libglfw-devel
BuildRequires: libglvnd-devel
BuildRequires: libwayland-devel
BuildRequires: libxkbcommon-devel
## AUTOBUILDREQ-END
BuildRequires: meson

%description
MangoHud is a Vulkan and OpenGL overlay for monitoring FPS, temperatures, CPU/GPU load and more.

%prep
%setup -q -n MangoHud-%{version}
# Use system cmocka instead of subproject
sed -i "s/  cmocka = subproject('cmocka')//g" meson.build
sed -i "s/cmocka_dep = cmocka.get_variable('cmocka_dep')/cmocka_dep = dependency('cmocka')/g" meson.build

%build
%meson \
   --wrap-mode=default \
   -Dmangoapp=true \
   -Dmangohudctl=true

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/mangoapp
%{_bindir}/mangohud
%{_bindir}/mangohudctl
%{_bindir}/mangoplot
%{_metainfodir}/io.github.flightlessmango.mangohud.metainfo.xml
%{_datadir}/vulkan/implicit_layer.d/MangoHud.*.json
%dir %{_libdir}/mangohud
%{_libdir}/mangohud/libMangoHud.so
%{_libdir}/mangohud/libMangoHud_opengl.so
%{_libdir}/mangohud/libMangoHud_shim.so
%{_datadir}/icons/hicolor/scalable/apps/io.github.flightlessmango.mangohud.svg
%{_mandir}/man1/mangoapp.1*
%{_mandir}/man1/mangohud.1*
%dir %{_docdir}/mangohud
%{_docdir}/mangohud/*
%doc LICENSE

%changelog
* Sun Mar 23 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.1-1mamba
- package created using the webbuild interface
